using System;
using System.Data;
using System.Collections.Generic;
using DotNet.FrameWork.Data;
using HaTeam.Dd.Model;
namespace HaTeam.Dd.BLL
{
	/// <summary>
	/// Dd_Admin
	/// </summary>
	public partial class Dd_Admin
	{
		private readonly HaTeam.Dd.DAL.Dd_Admin dal=new HaTeam.Dd.DAL.Dd_Admin();
		public Dd_Admin()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int Admin_ID)
		{
			return dal.Exists(Admin_ID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HaTeam.Dd.Model.Dd_Admin model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HaTeam.Dd.Model.Dd_Admin model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int Admin_ID)
		{
			
			return dal.Delete(Admin_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string Admin_IDlist )
		{
			return dal.DeleteList(Admin_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HaTeam.Dd.Model.Dd_Admin GetModel(int Admin_ID)
		{
			
			return dal.GetModel(Admin_ID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
		public HaTeam.Dd.Model.Dd_Admin GetModelByCache(int Admin_ID)
		{
			
			string CacheKey = "Dd_AdminModel-" + Admin_ID;
			object objModel = DataCache.GetCache(CacheKey);
			if (objModel == null)
			{
				try
				{
					objModel = dal.GetModel(Admin_ID);
					if (objModel != null)
					{
						int ModelCache = ConfigHelper.GetConfigInt("ModelCache");
						DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
					}
				}
				catch{}
			}
			return (HaTeam.Dd.Model.Dd_Admin)objModel;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Admin> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Admin> DataTableToList(DataTable dt)
		{
			List<HaTeam.Dd.Model.Dd_Admin> modelList = new List<HaTeam.Dd.Model.Dd_Admin>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HaTeam.Dd.Model.Dd_Admin model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HaTeam.Dd.Model.Dd_Admin();
					if(dt.Rows[n]["Admin_ID"].ToString()!="")
					{
						model.Admin_ID=int.Parse(dt.Rows[n]["Admin_ID"].ToString());
					}
					model.Admin_Name=dt.Rows[n]["Admin_Name"].ToString();
					model.Admin_Pwd=dt.Rows[n]["Admin_Pwd"].ToString();
					model.Admin_Guid=dt.Rows[n]["Admin_Guid"].ToString();
					if(dt.Rows[n]["Admin_Datetime"].ToString()!="")
					{
						model.Admin_Datetime=DateTime.Parse(dt.Rows[n]["Admin_Datetime"].ToString());
					}
					if(dt.Rows[n]["Admin_UpDatetime"].ToString()!="")
					{
						model.Admin_UpDatetime=DateTime.Parse(dt.Rows[n]["Admin_UpDatetime"].ToString());
					}
					if(dt.Rows[n]["Admin_Verify"].ToString()!="")
					{
						model.Admin_Verify=int.Parse(dt.Rows[n]["Admin_Verify"].ToString());
					}
					if(dt.Rows[n]["Admin_Lock"].ToString()!="")
					{
						model.Admin_Lock=int.Parse(dt.Rows[n]["Admin_Lock"].ToString());
					}
					if(dt.Rows[n]["Admin_State"].ToString()!="")
					{
						model.Admin_State=int.Parse(dt.Rows[n]["Admin_State"].ToString());
					}
					if(dt.Rows[n]["Admin_Delete"].ToString()!="")
					{
						model.Admin_Delete=int.Parse(dt.Rows[n]["Admin_Delete"].ToString());
					}
					if(dt.Rows[n]["Admin_Count"].ToString()!="")
					{
						model.Admin_Count=int.Parse(dt.Rows[n]["Admin_Count"].ToString());
					}
					if(dt.Rows[n]["Admin_Order"].ToString()!="")
					{
						model.Admin_Order=int.Parse(dt.Rows[n]["Admin_Order"].ToString());
					}
					model.Admin_Remark=dt.Rows[n]["Admin_Remark"].ToString();
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

